Index: trunk/SophyaLib/HiStats/Makefile
===================================================================
--- trunk/SophyaLib/HiStats/Makefile	(revision 3712)
+++ trunk/SophyaLib/HiStats/Makefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
@@ -12,5 +12,6 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -42,5 +43,6 @@
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -77,5 +79,6 @@
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -102,5 +105,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h swppfdtable.h \
+  $(SOPHYAINCP)objfio.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -112,6 +116,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
  
-$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)machdefs.h \
-  hisprof.h $(SOPHYAINCP)peida.h \
+$(SOPHYAOBJP)hisprof.o: hisprof.cc \
+  $(SOPHYAINCP)machdefs.h \
+  hisprof.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utils.h \
@@ -138,5 +144,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h histos.h \
+  $(SOPHYAINCP)ppersist.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -144,5 +151,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
-$(SOPHYAOBJP)hist2err.o: hist2err.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)hist2err.o: hist2err.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -167,10 +175,12 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h hist2err.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  hist2err.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hist2err.cc
  
-$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)histerr.o: histerr.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -195,15 +205,19 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h histerr.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  histerr.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
-$(SOPHYAOBJP)histinit.o: histinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+$(SOPHYAOBJP)histinit.o: histinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -232,10 +246,15 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h histos2.h \
-  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
-  hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h datatable.h \
-  basedtable.h $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h swppfdtable.h \
+  $(SOPHYAINCP)anydataobj.h \
+  histos2.h \
+  $(SOPHYAINCP)utils.h \
+  hisprof.h histerr.h hist2err.h \
+  $(SOPHYAINCP)tmatrix.h \
+  ntuple.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -245,6 +264,42 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
  
-$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)machdefs.h \
-  histos.h $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)histos2.o: histos2.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)utils.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -281,53 +336,26 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
  
-$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)machdefs.h \
-  histos2.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)utils.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
- 
-$(SOPHYAOBJP)ntupintf.o: ntupintf.cc $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -339,14 +367,17 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
-$(SOPHYAOBJP)proxtuple.o: proxtuple.cc $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -358,5 +389,6 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
Index: trunk/SophyaLib/HiStats/smakefile
===================================================================
--- trunk/SophyaLib/HiStats/smakefile	(revision 3712)
+++ trunk/SophyaLib/HiStats/smakefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
@@ -12,5 +12,6 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -42,5 +43,6 @@
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -77,5 +79,6 @@
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -102,5 +105,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h swppfdtable.h \
+  $(SOPHYAINCP)objfio.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -112,6 +116,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
  
-$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)machdefs.h \
-  hisprof.h $(SOPHYAINCP)peida.h \
+$(SOPHYAOBJP)hisprof.o: hisprof.cc \
+  $(SOPHYAINCP)machdefs.h \
+  hisprof.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utils.h \
@@ -138,5 +144,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h histos.h \
+  $(SOPHYAINCP)ppersist.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -144,5 +151,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
-$(SOPHYAOBJP)hist2err.o: hist2err.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)hist2err.o: hist2err.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -167,10 +175,12 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h hist2err.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  hist2err.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hist2err.cc
  
-$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)histerr.o: histerr.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -195,15 +205,19 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h histerr.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  histerr.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
-$(SOPHYAOBJP)histinit.o: histinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+$(SOPHYAOBJP)histinit.o: histinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -232,10 +246,15 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h histos2.h \
-  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
-  hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h datatable.h \
-  basedtable.h $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h swppfdtable.h \
+  $(SOPHYAINCP)anydataobj.h \
+  histos2.h \
+  $(SOPHYAINCP)utils.h \
+  hisprof.h histerr.h hist2err.h \
+  $(SOPHYAINCP)tmatrix.h \
+  ntuple.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -245,6 +264,42 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
  
-$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)machdefs.h \
-  histos.h $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)histos2.o: histos2.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)utils.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -281,53 +336,26 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
  
-$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)machdefs.h \
-  histos2.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)utils.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
- 
-$(SOPHYAOBJP)ntupintf.o: ntupintf.cc $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -339,14 +367,17 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
-$(SOPHYAOBJP)proxtuple.o: proxtuple.cc $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -358,5 +389,6 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
